create_deal: true, Nova.Pay additionally creates an order for the customer and returns the resulting order_id. All endpoints are relative to the base URL https://yourcompany.pay.nova.money/api/v1.
Create or update a customer
Create a new customer or update an existing one. You can also trigger an order creation in the same request by settingcreate_deal to true.
Request body
Customer email address. Must be a valid email format. Used as the unique identifier for upsert behaviour.
Comma-separated list IDs to associate with this customer in connected CRM or email marketing tools.
Source URL where the customer originated (e.g., a landing page). Stored for attribution purposes.
Additional email addresses to associate with this customer. Each entry must be a valid email.
When
true, Nova.Pay creates an order for this customer after upserting the customer record. The new order’s ID is returned in order_id.ISO 8601 datetime for scheduling the order, when
create_deal: true and the product requires scheduling.Response — CustomerResponse
The ID of the order created for this customer. Only present when
create_deal: true was sent and an order was successfully created. Returns null otherwise.